public class Edge{

    Edge(Node source, Node sink){
	this.source = source;
	this.sink = sink;
    }
    
    //PRE: n is one of the nodes connected by this edge
    //POST: RES is the node that is not n in the edge
    public Node getNeighbor(Node n){
	if(n==source){
	    return sink;
	}
	else{
	    Assert.PRE(n==sink);
	    return source;
	}
    }

    public Node source(){
	return source;
    } 

    public Node sink(){
	return sink;
    } 


    public boolean equals(Edge e){
	return (source==e.source && sink==e.sink);
    }

    public String toString(){
	int id1 = source.getUniqueNumber();
	int id2 = sink.getUniqueNumber();
	String sRes = "Edge:" + Integer.toString(id1) + " " + Integer.toString(id2);

	return sRes;
    }

    Node source;
    Node sink;
};
