import java.io.*;
import java.util.*;
public class StatRec{
    StatRec(){
	totDegree = 0;
	totBypassUsed = 0;
	int numTrials = 0;
	int maxBypassUsed = 0;
    }
    public void addData(int deg, int bypassUsed){
	totDegree += deg;
	totBypassUsed += bypassUsed;
	numTrials++;
	maxBypassUsed = MyMath.max(bypassUsed,maxBypassUsed);
    }
    
    public String toString(){
	float avgDeg = (float)totDegree/(float)numTrials;
	float avgBypUsed = (float)totBypassUsed/(float)numTrials;

	String s = "Num Trials: " + Integer.toString(numTrials);
	s += "Avg Delta: " + Float.toString(avgDeg);
	s += "Max Bypass Used: " + Integer.toString(maxBypassUsed);
	s += " Avg Bypass Used: " + Float.toString(avgBypUsed) + "\n";

	return s;
    }

    int totDegree;
    int totBypassUsed;
    int numTrials;
    int maxBypassUsed;
};
