import java.io.*;
import java.util.*;

public class Debug
{
    static public void trace(Object o)
    {
	System.out.println(o);
	System.out.flush();
    }

    static public void trace(Vector v)
    {
	Enumeration enum = v.elements();
	System.out.println(MyIOUtils.EnumToString(enum,"\n"));
	System.out.flush();
    }

    static public void trace(Object arr[])
    {
	System.out.println(MyIOUtils.arrToString(arr,"\n"));
	System.out.flush();
    }


    static public void trace2(Object o1, Object o2)
    {
	System.out.println(o1);
	System.out.println(o2);
	System.out.flush();
    }


    static public void trace(int i)
    {
      trace(new Integer(i));
    }

    static public void trace2(int i, int j)
    {
      trace(new Integer(i));
      trace(new Integer(j));
    }

}

