import java.io.*;
import java.util.*;

public class MyIOUtils
{
    
    public static String EnumToString(Enumeration enum, String separator){
	Assert.PRE(enum!=null);
	String sRes = new String();
	while(enum.hasMoreElements()){
	    Object o = enum.nextElement();
	    if(o==null){
		sRes = sRes + "null";
	    }else{
		sRes = sRes + o.toString();
	    }
	}
	return sRes;
    }

    public static String arrToString(Object arrO[]){
	return arrToString(arrO,"\n");
    }

    public static String arrToString(Object arrO[],String separator)
    {
	String sRes = new String();
	for(int i=0;i<arrO.length;i++){
	    String sTemp;
	    if(arrO[i]==null){
		sTemp = "null";
	    }else{
		sTemp = arrO[i].toString();
	    }
	    sRes = sRes + sTemp + separator;
	}

	return sRes;
    }

public static String arrToString(int arrI[],String separator)
    {
      Object arrO[] = new Integer[arrI.length];
      for(int i=0;i<arrI.length;i++){
	arrO[i] = new Integer(arrI[i]);
      }
      return arrToString(arrO,separator);
    }

}
