import java.io.*;
import java.util.*;

public class MyVectorUtils
{

    //POST: s has all the elements of v pushed on it from left to right
    public static void pushVectorOntoStack(Vector v, Stack s){
	if(v==null) return;
	for(int i=0;i<v.size();i++){
	    s.push(v.elementAt(i));
	}
    }

    //POST: The elements of v are reversed.
    public static void reverse(Vector v){
	int size = v.size();
	for(int i=0;i<size/2;i++){
	    int j = (size-1) - i;
	    Object left = v.elementAt(i);
	    Object right = v.elementAt(j);
	    v.setElementAt(right,i);
	    v.setElementAt(left,j);
	}
    }


	//PRE: start >=0, stop<=arrIUn.length
	//POST: returns an array consisting of elems arrIn[0] .. arrIn[stop-1].
public static Object[] getSlice(Object arrIn[],int start,int stop)
    {
	Assert.PRE(start>=0);
	Assert.PRE(stop<=arrIn.length);
	Assert.PRE(start<stop);

	Object arrOut[] = new Object[stop-start];
	
	for(int i=start;i<stop;i++){
	    arrOut[i-start] = arrIn[i];
	}
	return arrOut;
    }
}
